<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:18 CEST 2020 -->
<title>ClayException.ErrorCodes</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClayException.ErrorCodes";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/api/error/ClayException.ErrorCodes.html" target="_top">Frames</a></li>
<li><a href="ClayException.ErrorCodes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.myclay.claysdk.api.error</div>
<h2 title="Class ClayException.ErrorCodes" class="title">Class ClayException.ErrorCodes</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.myclay.claysdk.api.error.ClayException.ErrorCodes</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error">ClayException</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ClayException.ErrorCodes</span>
extends java.lang.Object</pre>
<div class="block">The possible error codes returned by the library</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#AUTHENTICATION_FAILED_ERROR">AUTHENTICATION_FAILED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#BLUETOOTH_FEATURE_NOT_ENABLED_ERROR">BLUETOOTH_FEATURE_NOT_ENABLED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#BLUETOOTH_NOT_INITIALIZED_ERROR">BLUETOOTH_NOT_INITIALIZED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#BLUETOOTH_NOT_SUPPORTED_ERROR">BLUETOOTH_NOT_SUPPORTED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#BLUETOOTH_SERVICE_NOT_FOUND_ERROR">BLUETOOTH_SERVICE_NOT_FOUND_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#COARSE_LOCATION_NOT_ENABLED_ERROR">COARSE_LOCATION_NOT_ENABLED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#COARSE_LOCATION_PERMISSION_DENIED_ERROR">COARSE_LOCATION_PERMISSION_DENIED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#CONNECTION_GENERAL_ERROR">CONNECTION_GENERAL_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#DISCONNECTED_GATT_SERVER_ERROR">DISCONNECTED_GATT_SERVER_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#HCE_FEATURE_NOT_AVAILABLE_ERROR">HCE_FEATURE_NOT_AVAILABLE_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#INCORRECT_MOBILE_KEY_DATA_ERROR">INCORRECT_MOBILE_KEY_DATA_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#INVALID_DATA_RECEIVED_ERROR">INVALID_DATA_RECEIVED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#INVALID_PROTOCOL_VERSION_ERROR">INVALID_PROTOCOL_VERSION_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#INVALID_SERVICE_CHARACTERISTICS_ERROR">INVALID_SERVICE_CHARACTERISTICS_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#NO_SERVICES_FOUND_ERROR">NO_SERVICES_FOUND_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#OPERATION_CANCELLED_ERROR">OPERATION_CANCELLED_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#PROCESS_ALREADY_RUNNING_ERROR">PROCESS_ALREADY_RUNNING_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#TIMEOUT_REACHED_ERROR">TIMEOUT_REACHED_ERROR</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/myclay/claysdk/api/error/ClayException.ErrorCodes.html#ErrorCodes--">ErrorCodes</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CONNECTION_GENERAL_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONNECTION_GENERAL_ERROR</h4>
<pre>public static&nbsp;int CONNECTION_GENERAL_ERROR</pre>
</li>
</ul>
<a name="PROCESS_ALREADY_RUNNING_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROCESS_ALREADY_RUNNING_ERROR</h4>
<pre>public static&nbsp;int PROCESS_ALREADY_RUNNING_ERROR</pre>
</li>
</ul>
<a name="INCORRECT_MOBILE_KEY_DATA_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INCORRECT_MOBILE_KEY_DATA_ERROR</h4>
<pre>public static&nbsp;int INCORRECT_MOBILE_KEY_DATA_ERROR</pre>
</li>
</ul>
<a name="BLUETOOTH_NOT_SUPPORTED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUETOOTH_NOT_SUPPORTED_ERROR</h4>
<pre>public static&nbsp;int BLUETOOTH_NOT_SUPPORTED_ERROR</pre>
</li>
</ul>
<a name="BLUETOOTH_FEATURE_NOT_ENABLED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUETOOTH_FEATURE_NOT_ENABLED_ERROR</h4>
<pre>public static&nbsp;int BLUETOOTH_FEATURE_NOT_ENABLED_ERROR</pre>
</li>
</ul>
<a name="BLUETOOTH_NOT_INITIALIZED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUETOOTH_NOT_INITIALIZED_ERROR</h4>
<pre>public static&nbsp;int BLUETOOTH_NOT_INITIALIZED_ERROR</pre>
</li>
</ul>
<a name="DISCONNECTED_GATT_SERVER_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISCONNECTED_GATT_SERVER_ERROR</h4>
<pre>public static&nbsp;int DISCONNECTED_GATT_SERVER_ERROR</pre>
</li>
</ul>
<a name="OPERATION_CANCELLED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATION_CANCELLED_ERROR</h4>
<pre>public static&nbsp;int OPERATION_CANCELLED_ERROR</pre>
</li>
</ul>
<a name="NO_SERVICES_FOUND_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_SERVICES_FOUND_ERROR</h4>
<pre>public static&nbsp;int NO_SERVICES_FOUND_ERROR</pre>
</li>
</ul>
<a name="TIMEOUT_REACHED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TIMEOUT_REACHED_ERROR</h4>
<pre>public static&nbsp;int TIMEOUT_REACHED_ERROR</pre>
</li>
</ul>
<a name="INVALID_SERVICE_CHARACTERISTICS_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_SERVICE_CHARACTERISTICS_ERROR</h4>
<pre>public static&nbsp;int INVALID_SERVICE_CHARACTERISTICS_ERROR</pre>
</li>
</ul>
<a name="INVALID_PROTOCOL_VERSION_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_PROTOCOL_VERSION_ERROR</h4>
<pre>public static&nbsp;int INVALID_PROTOCOL_VERSION_ERROR</pre>
</li>
</ul>
<a name="INVALID_DATA_RECEIVED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_DATA_RECEIVED_ERROR</h4>
<pre>public static&nbsp;int INVALID_DATA_RECEIVED_ERROR</pre>
</li>
</ul>
<a name="AUTHENTICATION_FAILED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTHENTICATION_FAILED_ERROR</h4>
<pre>public static&nbsp;int AUTHENTICATION_FAILED_ERROR</pre>
</li>
</ul>
<a name="BLUETOOTH_SERVICE_NOT_FOUND_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUETOOTH_SERVICE_NOT_FOUND_ERROR</h4>
<pre>public static&nbsp;int BLUETOOTH_SERVICE_NOT_FOUND_ERROR</pre>
</li>
</ul>
<a name="COARSE_LOCATION_PERMISSION_DENIED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COARSE_LOCATION_PERMISSION_DENIED_ERROR</h4>
<pre>public static&nbsp;int COARSE_LOCATION_PERMISSION_DENIED_ERROR</pre>
</li>
</ul>
<a name="COARSE_LOCATION_NOT_ENABLED_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COARSE_LOCATION_NOT_ENABLED_ERROR</h4>
<pre>public static&nbsp;int COARSE_LOCATION_NOT_ENABLED_ERROR</pre>
</li>
</ul>
<a name="HCE_FEATURE_NOT_AVAILABLE_ERROR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HCE_FEATURE_NOT_AVAILABLE_ERROR</h4>
<pre>public static&nbsp;int HCE_FEATURE_NOT_AVAILABLE_ERROR</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ErrorCodes--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ErrorCodes</h4>
<pre>public&nbsp;ErrorCodes()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/myclay/claysdk/api/error/ClayException.ErrorCodes.html" target="_top">Frames</a></li>
<li><a href="ClayException.ErrorCodes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
